import request from "@/utils/request";

//查询所有模板
export function getList(data: any) {
    return request({
        url: "/system-boot/EventTemplate/getList",
        method: "post",
        data,
    });
}
//字典树
export function getDictTree(data: any) {
    return request({
        url: "/system-boot/reportDict/DictTree",
        method: "post",
        params:data
    });
}
//新增模板
export function addData(data: any) {
    return request({
        url: "/system-boot/EventTemplate/add",
        method: "post",
        data,
    });
}
//修改模板
export function updateData(data: any) {
    return request({
        url: "/system-boot/EventTemplate/update",
        method: "post",
        data,
    });
}
//删除模板
export function deleteData(data: any) {
    return request({
        url: "/system-boot/EventTemplate/delete",
        method: "post",
        data,
    });
}